import { useState } from 'react'
import reactLogo from './assets/react.svg'
import viteLogo from '/vite.svg'
import './App.css'
import FetchUtils from './components/fetchUtils/FetchUtils'
import TableMeets from './components/TableMeets'
import { BrowserRouter, Routes, Route } from "react-router-dom";
import BeingPage from "./Components/BeingPage/index.jsx";
import HomePage from "./Components/HomePage/index.jsx";

const events = [
  {
    id: 1,
    date: '10.10.2022',
    time: '14:00',
    title: 'Мероприятие 1',
    speaker: 'Спикер 1',
    avatar: 'speaker1.jpg',
    description: 'Описание мероприятия 1',
    isExpanded: true,
  },
  {
    id: 2,
    date: '11.10.2022',
    time: '15:30',
    title: 'Мероприятие 2',
    speaker: 'Спикер 2',
    avatar: 'speaker2.jpg',
    description: 'Описание мероприятия 2',
    isExpanded: true,
  },
  // Добавьте другие мероприятия сюда
];



function App() {
  const [count, setCount] = useState(0)

  return (
    <>
      {/* <FetchUtils /> */}
      <TableMeets  events={ events } />
      <BrowserRouter>
        <Routes>
          <Route path="/being" element={<BeingPage />}/>
          <Route path="/" element={<HomePage />}/>
        </Routes>
      </BrowserRouter>
    </>
  )
}

export default App
